#
# Conditional build:
%bcond_without	guile	# disable scheme/guile configuration file style
#
Summary:	Binds keys or mouse buttons to shell commands under X
Summary(pl.UTF-8):	Przypisywanie poleceniom powłoki przycisków myszy lub klawiatury pod X
Name:		xbindkeys
Version:	1.8.7
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.nongnu.org/xbindkeys/%{name}-%{version}.tar.gz
# Source0-md5:	b5e1a9668ba13ff8673836d1d965d951
URL:		http://www.nongnu.org/xbindkeys/xbindkeys.html
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_guile:BuildRequires:	guile-devel}
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xbindkeys is a program that allows you to launch shell commands with
your keyboard or mouse under X11. It links commands to keys or mouse
buttons using a simple configuration file, and is independant of the
window manager. 

%description -l pl.UTF-8
xbindkeys jest programem, który pozwala na uruchamianie poleceń
powłoki przy użyciu klawiatury lub myszki pod X11. Xbindkeys
przypisuje polecenia przyciskom za pomocą prostego pliku
konfiguracyjnego, niezależnie od zarządcy okien. Pozwala na
przechwytywanie takich przycisków jak POWER czy WAKE na klawiaturze.

%package xbindkeys_show
Summary:	Program to show the grabbing keys used in xbindkeys
Summary(pl.UTF-8):	Program pokazujący przyciski obsługiwane przez xbindkeys
Group:		X11/Applications
Requires:	%{name}
Requires:	tk

%description xbindkeys_show
xbindkeys_show is a Tk program that shows the grabbing keys used in
xbindkeys.

%description xbindkeys_show -l pl.UTF-8
xbindkeys_show jest programem w Tk, który pokazuje przyciski
obsługiwane aktualnie przez xbindkeys.

%prep
%setup -q

touch config.rpath

%build
rm -f aclocal.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-x \
	%{!?with_guile: --disable-guile}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/xbindkeys
%{_mandir}/man1/xbindkeys.1*

%files xbindkeys_show
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xbindkeys_show
%{_mandir}/man1/xbindkeys_show.1*
%changelog
* Wed Oct 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xbindkeys.git;a=log;h=master

* Wed Oct 04 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2c261c9
- up to 1.8.7

* Fri Mar 11 2022 Jan Rękorajski <baggins@pld-linux.org> a13a028
- rebuild with guile 3.0

* Sat Mar 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 03a9d21
- release 2 (by relup.sh)

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> d3e29d3
- up to 1.8.6

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 86e4144
- rel 3

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f5b3ee
- release 2

* Sat Apr 02 2011 Karol Krenski <charles@pld-linux.org> b4f0c4a
- updated URL

* Thu Mar 17 2011 Karol Krenski <charles@pld-linux.org> ae69b4b
- rm -aclocal.patch (fixes from upstream)

* Thu Mar 17 2011 Karol Krenski <charles@pld-linux.org> 9194687
- fixes from upstream

* Thu Mar 17 2011 Karol Krenski <charles@pld-linux.org> 82872cd
- updated to 1.8.5

* Mon Sep 21 2009 Karol Krenski <charles@pld-linux.org> 69f5a67
- up to 1.8.3

* Mon Sep 29 2008 Kacper Kornet <draenog@pld-linux.org> 05b72de
- fix for new aclocal

* Mon Sep 29 2008 Kacper Kornet <draenog@pld-linux.org> b307d63
- remove superfluous spaces

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> af04433
- split bugfix

* Sat May 10 2008 Kacper Kornet <draenog@pld-linux.org> ab101c0
- move xbindkeys_show to separate package

* Sat May 10 2008 Kacper Kornet <draenog@pld-linux.org> d496845
- guile bcond

* Sat May 10 2008 Kacper Kornet <draenog@pld-linux.org> 81b0838
- english description fixed

* Thu Apr 19 2007 Robert Tomasik <rotom@pld-linux.org> d34fbd8
- up to 1.8.2

* Tue Apr 03 2007 Robert Tomasik <rotom@pld-linux.org> 56727d5
- up to 1.8.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5df9e6a
- tabs in preamble

